Download it now!
Bug 90575 - DDE LINK does not work between two documents Writer
Summary: DDE LINK does not work between two documents Writer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.6.2 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.1 target:4.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-04-12 07:22 UTC by pierre-yves samyn
Modified: 2016-10-25 19:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2015-04-12 07:22:47 UTC
Hi

DDE LINK does not work between two documents Writer

Steps to reproduce
1. Open a writer document
2. Select some text, then copy
3. Open another writer document
4. Edit> Paste special> DDE link

Expected results:
- DDE Field created displaying copied text in the target document
- Bookmark __DdeLink__xxxxx created in the source document

Actual results:
- DDE Field created but *not* displaying copied text
- Bookmark __DdeLink__xxxxx created in the source document

"link" is created in the target document: message to update links on opening, and Edit> Links list the link(s) but with status: not avalaible.

Platform: Windows 7/64 & Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Locale: fr_FR

Also reproduce (ask) on  Version: 4.4.1.2 Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432 Locale: nl_NL Microsoft Windows 8 version 6.3 (build 9600)
http://ask.libreoffice.org/en/question/49127/cannot-make-dde-link-between-two-writer-files/

So I set status to New

I add REGRESSION (was OK in OOo 3.2.1). I do not know from which version of LibreOffice it does not work

Regards
Pierre-Yves
Comment 1 Owen Genat (retired) 2015-04-12 09:23:17 UTC
Tested under GNU/Linux x86_64 using:
v3.3.4.1 OOO330m19 Build: 401
v3.4.6.2 OOO340m1 Build: 602
v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
v3.6.7.2 Build ID: e183d5b
v4.0.6.2 Build ID: 2e2573268451a50806fcd60ae2d9fe01dd0ce24
v4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
v4.2.8.2 Build ID: 48d50dbfc06349262c9d50868e5c1f630a573ebd
v4.3.6.2 Build ID: d50a87b2e514536ed401c18000dad4660b6a169e
v4.4.2.2 Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6

All versions up to v4.2 result in the pasted content in the link being visible. Both v4.3.6.2 and v4.4.2.2 result in the content in the link NOT visible as reported. Version set to "4.3.6.2 rc" as a result.
Comment 2 pierre-yves samyn 2015-04-12 11:14:54 UTC
(In reply to Owen Genat from comment #1)
> All versions up to v4.2 result in the pasted content in the link being
> visible. Both v4.3.6.2 and v4.4.2.2 result in the content in the link NOT
> visible as reported. Version set to "4.3.6.2 rc" as a result.

you're fast and good :)
thank you

Pierre-Yves
Comment 3 Matthew Francis 2015-04-13 04:36:13 UTC
This seems to have begun at the below commit.
Adding Cc: to vmiklos@collabora.co.uk; Could you possibly take a look at this one? Thanks

commit 0761f81643a6890457e9ef7d913ab5c88c2593a4
Author:     Oliver-Rainer Wittmann <orw@apache.org>
AuthorDate: Thu Dec 19 18:50:58 2013 +0000
Commit:     Miklos Vajna <vmiklos@collabora.co.uk>
CommitDate: Wed Jan 8 15:58:35 2014 +0100

    123792: complete annotations on text ranges feature
    
    - rely annotations on text ranges on new annotation marks
    - support arbitrary text ranges for annotations
    - fix undo/redo regarding annotations an text ranges
    - support annotations on overlapping text ranges
    - fix *.docx import for annotations on overlapping text ranges
    - fix ODF import of annotations on text ranges
    
    cherry-picked from branch ooxml-osba
    
    (cherry picked from commit ebd2922ebd3cf2d3899fb80780d38f367197aadf)
Comment 4 Thomas Krumbein 2015-06-30 12:02:17 UTC
Same problems using writer-doc as source and calc - doc as target. 

Result in calc-cell: #NV

Tested with 5.0.0.0 beta 3 (64 bit)  and 5.0.0.2 (32 bit) on Win 8.1 (64bit).

Inserted formula in calc is correct - but result is #NV

BTW: using DDE fram calt to writer works correct.
Comment 5 Miklos Vajna 2015-07-24 07:54:47 UTC
I'll take care of this.
Comment 6 Commit Notification 2015-07-27 07:24:43 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e06e2cb18874987d2dafd4faa0a8b71fc0aa6453

tdf#90575 sw: fix pasting DDE links

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-08-07 17:16:56 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f72c7c0d9a92866e68ba968b7a4cc5e4b8209c60&h=libreoffice-5-0

tdf#90575 sw: fix pasting DDE links

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-08-17 20:15:50 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c7498f49e981e91ae45da12bbc2823da254b9c5d&h=libreoffice-4-4

tdf#90575 sw: fix pasting DDE links

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-17 08:52:36 UTC Comment hidden (obsolete)